# CCC Get It Now Decision Support Addon

## Summary

This addon communicates with Get It Now to determine availability and pricing
for articles based on their ISSNs.

## Workflow

This addon registers to the **GenerateFulfillmentData** and
**AutomationDecision** stages of the Decision Support pipeline.

During the **GenerateFulfillmentData** stage, this addon pulls article
availability and pricing information from GetItNow. The addon will also add the
article's publisher to the fulfillment option's "Notes" field.

For the **AutomationDecision** stage, the addon can optionally route
transactions to a specified queue. The addon does not make automated requests to
GetItNow. Either the **AutomationDecisionRouteQueue** setting should be set, or
all business rules that target this addon should target a queue instead. If the
addon handles the **AutomationDecision** event hook but does not have a
specified queue, then the Transaction will be sent to the Decision Support
AutomationDecision Stage's error queue.

## Installation

To install this Decision Support addon, create a new Decision Support addon via
ILLiad's Customization Manager by following the steps outlined in the
documentation.
 
## Settings

### GetItNowURL

The GetItNow base URL. Default value is "*https://getitnow.copyright.com*"

### AutomationDecisionRouteQueue

An optional queue. If present, the addon will route transactions to the queue
during the AutomationDecision event hook. The addon will not route transactions
if this setting is left blank.
